﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace UltraGridScrollHorizontaly
{
    public partial class Form1 : Form
    {
        private bool IsShiftPress;
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.MouseWheel += new MouseEventHandler(ultraGrid1_MouseWheel);
            ultraGrid1.KeyDown += new KeyEventHandler(ultraGrid1_KeyDown);
            ultraGrid1.KeyUp += new KeyEventHandler(ultraGrid1_KeyUp);
        }

        void ultraGrid1_KeyUp(object sender, KeyEventArgs e)
        {
            if (!e.Shift) IsShiftPress = false;
        }

        void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Shift) IsShiftPress = true;
        }

        void ultraGrid1_MouseWheel(object sender, MouseEventArgs e)
        {
            Debug.WriteLine("asdasdasd = " + IsShiftPress);
            if (e.Delta < 0 && IsShiftPress)
            {
                ultraGrid1.ActiveColScrollRegion.Scroll(Infragistics.Win.UltraWinGrid.ColScrollAction.LineRight);
            }
            else if (e.Delta > 0 && IsShiftPress)
            {
                ultraGrid1.ActiveColScrollRegion.Scroll(Infragistics.Win.UltraWinGrid.ColScrollAction.LineLeft);
            }

        }
    }
}
